{
  "root": true,
  "ignorePatterns": [],
  "overrides": [
    {
      "files": [
        "*.ts"
      ],
      "extends": [
        "eslint:recommended",
        "plugin:@typescript-eslint/recommended",
        "plugin:@angular-eslint/recommended",
        "plugin:@angular-eslint/template/process-inline-templates",
        "plugin:prettier/recommended"
      ],
      "rules": {
        "@angular-eslint/directive-selector": [
          "error",
          {
            "type": "attribute",
            "prefix": "app",
            "style": "camelCase"
          }
        ],
        "@angular-eslint/component-selector": [
          "error",
          {
            "type": "element",
            "prefix": "app",
            "style": "kebab-case"
          }
        ],
        "no-unused-vars": "off",
        "@typescript-eslint/no-unused-vars": [
          "error"
        ],
        "@typescript-eslint/explicit-function-return-type": "warn",
        "no-console": "warn",
        "no-var": "error",
        "no-debugger": "error",
        "no-duplicate-imports": "error",
        "prefer-const": "error",
        "no-lonely-if": "error",
        "no-unreachable": "error",
        "max-len": "off",
        "no-shadow": "off",
        "curly": "error",
        "dot-notation": "error",
        "no-labels": "error",
        "spaced-comment": "error",
        "arrow-body-style": "error",
        "guard-for-in": "error",
        "no-caller": "error",
        "no-new-wrappers": "error",
        "no-eval": "error",
        "no-throw-literal": "error",
        "no-undefined": "error",
        "padding-line-between-statements": [
          "error",
          {
            "blankLine": "always",
            "prev": "*",
            "next": "return"
          }
        ],
        "radix": "error",
        "eqeqeq": "error",
        "no-restricted-imports": [
          "error",
          {
            "paths": [
              {
                "name": "@angular/compiler",
                "message": "@angular/compiler ist keine Public API und sollte nicht innerhalb des Projekt benutzt werden."
              }
            ]
          }
        ],
        "prettier/prettier": [
          "error",
          {
            "endOfLine": "auto"
          }
        ]
      }
    },
    {
      "files": [
        "*.html"
      ],
      "extends": [
        "plugin:@angular-eslint/template/recommended"
      ],
      "rules": {}
    }
  ]
}